## glab 1.32.0

=== Makefile ===
OS = $(shell uname | tr A-Z a-z)
DEBUG ?= false
export PATH := $(abspath bin/):${PATH}


# Build variables
export CGO_ENABLED ?= 0
ifeq (${VERBOSE}, 1)
ifeq ($(filter -v,${GOARGS}),)
	GOARGS += -v
endif
TEST_FORMAT = short-verbose
endif

GLAB_VERSION ?= $(shell git describe --tags 2>/dev/null || git rev-parse --short HEAD)
DATE_FMT = +%Y-%m-%d
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "$(DATE_FMT)")
endif

ifndef CGO_CPPFLAGS
    export CGO_CPPFLAGS := $(CPPFLAGS)
endif
ifndef CGO_CFLAGS
    export CGO_CFLAGS := $(CFLAGS)
endif
ifndef CGO_LDFLAGS
    export CGO_LDFLAGS := $(LDFLAGS)
endif

HASGOTESTSUM := $(shell which gotestsum 2> /dev/null)
HASGOCILINT := $(shell which golangci-lint 2> /dev/null)

ifdef HASGOTESTSUM
    GOTEST=gotestsum
else
    GOTEST=bin/gotestsum
endif

ifdef HASGOCILINT
    GOLINT=golangci-lint
else
    GOLINT=bin/golangci-lint
endif

GO_LDFLAGS := -X main.buildDate=$(BUILD_DATE) $(GO_LDFLAGS)
GO_LDFLAGS := $(GO_LDFLAGS) -X main.version=$(GLAB_VERSION)
GOURL ?= gitlab.com/gitlab-org/cli
BUILDLOC ?= ./bin/glab

# Dependency versions
GOTESTSUM_VERSION = 0.6.0
GOLANGCI_VERSION = 1.32.2

# Add the ability to override some variables
# Use with care
-include override.mk

.PHONY: build
.DEFAULT_GOAL := build
build:
	go build -trimpath -ldflags "$(GO_LDFLAGS) -X main.debugMode=$(DEBUG)" -o $(BUILDLOC) $(GOURL)/cmd/glab

clean: ## Clear the working area and the project
	rm -rf ./bin ./.glab-cli ./test/testdata-* ./coverage.txt coverage-*
.PHONY: clean

.PHONY: install
install: ## Install glab in $GOPATH/bin
	GO111MODULE=on go install -trimpath -ldflags "$(GO_LDFLAGS) -X main.debugMode=$(DEBUG)" $(GOURL)/cmd/glab

.PHONY: run
run:
	go run -trimpath -ldflags "$(GO_LDFLAGS) -X main.debugMode=$(DEBUG)" ./cmd/glab $(run)

.PHONY: rt
rt: ## Test release without publishing
	goreleaser --snapshot --skip-publish --rm-dist

.PHONY: rtdebug
rtdebug: ## Test release with debug info
	goreleaser --snapshot --skip-publish --rm-dist --debug

.PHONY: release
release:
	goreleaser $(run)

.PHONY: manpage
manpage: ## Generate manual pages
	go run ./cmd/gen-docs/docs.go --manpage --path ./share/man/man1

.PHONY: gen-docs
gen-docs: ## Generate web docs
	go run ./cmd/gen-docs/docs.go

.PHONY: check
check: test lint ## Run tests and linters

ifdef HASGOTESTSUM
bin/gotestsum:
	@echo "Skip this"
else
bin/gotestsum: bin/gotestsum-${GOTESTSUM_VERSION}
	@ln -sf gotestsum-${GOTESTSUM_VERSION} bin/gotestsum
endif

bin/gotestsum-${GOTESTSUM_VERSION}:
	@mkdir -p bin
	curl -L https://github.com/gotestyourself/gotestsum/releases/download/v${GOTESTSUM_VERSION}/gotestsum_${GOTESTSUM_VERSION}_${OS}_amd64.tar.gz | tar -zOxf - gotestsum > ./bin/gotestsum-${GOTESTSUM_VERSION} && chmod +x ./bin/gotestsum-${GOTESTSUM_VERSION}

TEST_PKGS ?= ./pkg/... ./internal/... ./commands/... ./cmd/...
.PHONY: test
# NOTE: some tests require uncustomized environment variables for VISUAL, EDITOR, and PAGER to test
# certain behaviors related to glab output preferences. Also, the CI_PROJECT_PATH environment variable
# is set to support forked clones that will have a different origin remote url.
#
# Finally, there are some integration tests perform actual API calls and require GITLAB_TOKEN (personal access token)
# and GITLAB_TEST_HOST (GitLab instance to test) to be set. If either of these are not set the integration tests
# will fail in CI or will be skipped if not in CI.
test: TEST_FORMAT ?= short
test: SHELL = /bin/bash # set environment variables to ensure consistent test behavior
test: VISUAL=
test: EDITOR=
test: PAGER=
test: export CI_PROJECT_PATH=$(shell git remote get-url origin)
test: export CGO_ENABLED=1
test: bin/gotestsum ## Run tests
	$(GOTEST) --jsonfile test-output.log --no-summary=skipped --junitfile ./coverage.xml --format ${TEST_FORMAT} -- -coverprofile=./coverage.txt -covermode=atomic $(filter-out -v,${GOARGS}) $(if ${TEST_PKGS},${TEST_PKGS},./...)

.PHONY: test-race
test-race: SHELL = /bin/bash # set environment variables to ensure consistent test behavior
test-race: VISUAL=
test-race: EDITOR=
test-race: PAGER=
test-race: export CI_PROJECT_PATH=$(shell git remote get-url origin)
test-race: export CGO_ENABLED=1
test-race: bin/gotestsum ## Run tests with race detection
	$(GOTEST) -- -race ./...

ifdef HASGOCILINT
bin/golangci-lint:
	@echo "Skip this"
else
bin/golangci-lint: bin/golangci-lint-${GOLANGCI_VERSION}
	@ln -sf golangci-lint-${GOLANGCI_VERSION} bin/golangci-lint
endif

bin/golangci-lint-${GOLANGCI_VERSION}:
	@mkdir -p bin
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | bash -s -- -b ./bin/ v${GOLANGCI_VERSION}
	@mv bin/golangci-lint $@

.PHONY: coverage
coverage: ## Run coverage report
	go tool cover -func coverage.txt

.PHONY: lint
lint: bin/golangci-lint ## Run linter
	$(GOLINT) run

.PHONY: fix
fix: bin/golangci-lint ## Fix lint violations
	$(GOLINT) run --fix
	gofmt -s -w .
	goimports -w .

.PHONY: list-todo
list-todo: ## Detect FIXME, TODO and other comment keywords
	golangci-lint run --enable=godox --disable-all

.PHONY: gen-config
gen-config: ## Generate config stub from lockfile
	cd internal/config && go generate

# Add custom targets here
-include custom.mk

.PHONY: list
list: ## List all make targets
	@${MAKE} -pRrn : -f $(MAKEFILE_LIST) 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | egrep -v -e '^[^[:alnum:]]' -e '^$@$$' | sort

.PHONY: help
help:
	@grep -h -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

## glab 1.31.0

=== debian/changelog ===
glab (1.31.0-1) unstable; urgency=medium

  * Initial release (Closes: #969482)

 -- Unit 193 <unit193@debian.org>  Mon, 10 Jul 2023 18:24:09 -0400

=== debian/control ===
Source: glab
Section: vcs
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Unit 193 <unit193@debian.org>,
 Nicolas Schier <nicolas@fjasle.eu>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-acarl005-stripansi-dev,
               golang-github-alecaivazis-survey-dev,
               golang-github-alecthomas-assert-dev,
               golang-github-avast-retry-go-dev,
               golang-github-briandowns-spinner-dev,
               golang-github-charmbracelet-glamour-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-gdamore-tcell-dev,
               golang-github-google-renameio-dev,
               golang-github-google-shlex-dev,
               golang-github-gosuri-uilive-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-hashicorp-go-retryablehttp-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-jarcoal-httpmock-dev,
               golang-github-kballard-go-shellquote-dev,
               golang-github-lunixbochs-vtclean-dev,
               golang-github-makenowjust-heredoc-dev,
               golang-github-mattn-go-colorable-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mgutz-ansi-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-muesli-termenv-dev,
               golang-github-otiai10-copy-dev,
               golang-github-pkg-errors-dev,
               golang-github-rivo-tview-dev,
               golang-github-spf13-cast-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tidwall-pretty-dev,
               golang-github-xanzy-go-gitlab-dev (>= 0.83.0),
               golang-github-zalando-go-keyring-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-term-dev,
               golang-golang-x-text-dev,
               golang-gopkg-yaml.v3-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://gitlab.com/gitlab-org/cli
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: gitlab.com/gitlab-org/cli
Vcs-Browser: https://salsa.debian.org/go-team/packages/glab/
Vcs-Git: https://salsa.debian.org/go-team/packages/glab.git

Package: glab
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Static-Built-Using}, ${misc:Built-Using}
Description: commandline interface for gitlab instances
 GLab is an open source GitLab CLI tool bringing GitLab to your terminal next
 to where you are already working with git and your code without switching
 between windows and browser tabs. Work with issues, merge requests, watch
 running pipelines directly from your CLI among other features.
 .
 glab is available for repositories hosted on GitLab.com and self-managed
 GitLab instances. glab supports multiple authenticated GitLab instances and
 automatically detects the authenticated hostname from the remotes available
 in the working Git directory.

## glab 1.32.0

=== debian/changelog ===
glab (1.32.0-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 19 Jan 2024 11:44:34 +0530

glab (1.32.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:21 +1200

glab (1.32.0-1) unstable; urgency=medium

  * New upstream version 1.32.0.
    - Drop patch applied upstream, refresh remaining.
  * d/control: Bump constraint on golang-github-xanzy-go-gitlab-dev to 0.88.0.

 -- Unit 193 <unit193@debian.org>  Wed, 23 Aug 2023 05:21:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glab
 Section: vcs
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Unit 193 <unit193@debian.org>,
  Nicolas Schier <nicolas@fjasle.eu>
@@ -41,7 +42,7 @@
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-tidwall-pretty-dev,
-               golang-github-xanzy-go-gitlab-dev (>= 0.83.0),
+               golang-github-xanzy-go-gitlab-dev (>= 0.88.0),
                golang-github-zalando-go-keyring-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-term-dev,

## glab 1.33.0

=== debian/changelog ===
glab (1.33.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Unit 193 <unit193@debian.org>  Mon, 25 Sep 2023 19:00:33 -0400

glab (1.33.0-1) unstable; urgency=medium

  * Change fallback default editor to 'editor' (Closes: #1041934)
  * New upstream version 1.33.0

 -- Nicolas Schier <nicolas@fjasle.eu>  Fri, 22 Sep 2023 14:28:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glab
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Unit 193 <unit193@debian.org>,
  Nicolas Schier <nicolas@fjasle.eu>

## glab 1.36.0

=== Makefile ===
--- 
+++ 
@@ -125,7 +125,6 @@
 test: EDITOR=
 test: PAGER=
 test: export CI_PROJECT_PATH=$(shell git remote get-url origin)
-test: export CGO_ENABLED=1
 test: bin/gotestsum ## Run tests
 	$(GOTEST) --jsonfile test-output.log --no-summary=skipped --junitfile ./coverage.xml --format ${TEST_FORMAT} -- -coverprofile=./coverage.txt -covermode=atomic $(filter-out -v,${GOARGS}) $(if ${TEST_PKGS},${TEST_PKGS},./...)
 
@@ -135,7 +134,6 @@
 test-race: EDITOR=
 test-race: PAGER=
 test-race: export CI_PROJECT_PATH=$(shell git remote get-url origin)
-test-race: export CGO_ENABLED=1
 test-race: bin/gotestsum ## Run tests with race detection
 	$(GOTEST) -- -race ./...

=== debian/changelog ===
glab (1.36.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 11:57:39 +1000

glab (1.36.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:01:34 +0100

glab (1.36.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 12:53:28 +0530

glab (1.36.0-1) unstable; urgency=medium

  * New upstream version 1.36.0
  * debian/patches: Update groff-error workaround patch
  * debian/control: Update Build-Depends
  * glab-ci-delete.1: Prevent troff error (patch)

 -- Nicolas Schier <nicolas@fjasle.eu>  Fri, 05 Jan 2024 18:32:53 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glab
 Section: vcs
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Unit 193 <unit193@debian.org>,
  Nicolas Schier <nicolas@fjasle.eu>
@@ -10,7 +11,6 @@
                golang-any,
                golang-github-acarl005-stripansi-dev,
                golang-github-alecaivazis-survey-dev,
-               golang-github-alecthomas-assert-dev,
                golang-github-avast-retry-go-dev,
                golang-github-briandowns-spinner-dev,
                golang-github-charmbracelet-glamour-dev,
@@ -22,7 +22,6 @@
                golang-github-hashicorp-go-multierror-dev,
                golang-github-hashicorp-go-retryablehttp-dev,
                golang-github-hashicorp-go-version-dev,
-               golang-github-jarcoal-httpmock-dev,
                golang-github-kballard-go-shellquote-dev,
                golang-github-lunixbochs-vtclean-dev,
                golang-github-makenowjust-heredoc-dev,
@@ -41,12 +40,15 @@
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-tidwall-pretty-dev,
-               golang-github-xanzy-go-gitlab-dev (>= 0.88.0),
+               golang-github-xanzy-go-gitlab-dev (>= 0.93.0),
+               golang-github-xanzy-go-gitlab-dev (<< 0.95),
                golang-github-zalando-go-keyring-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-term-dev,
                golang-golang-x-text-dev,
-               golang-gopkg-yaml.v3-dev
+               golang-gopkg-yaml.v3-dev,
+               golang-k8s-apimachinery-dev,
+               golang-k8s-client-go-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://gitlab.com/gitlab-org/cli

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -ldflags "-X main.version=v$(DEB_VERSION_UPSTREAM) -X main.build=$(SOURCE_DATE_EPOCH) -X main.usageMode=prod"
	mkdir -p _build/completions/ _build/manpages/
	_build/bin/gen-docs --manpage --path _build/manpages/
	GLAB_CONFIG_DIR=debian/tmphome _build/bin/glab completion -s bash > _build/completions/glab
	GLAB_CONFIG_DIR=debian/tmphome _build/bin/glab completion -s zsh > _build/completions/_glab

override_dh_auto_test:

override_dh_auto_install:
	rm -f _build/bin/gen-docs
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
https://gitlab.com/gitlab-org/cli/-/tags?sort=updated_desc .*/cli-v@ANY_VERSION@@ARCHIVE_EXT@

## glab 1.39.0

=== debian/changelog ===
glab (1.39.0-1) unstable; urgency=medium

  * New upstream version 1.39.0.
  * d/control: Update xanzy-go-gitlab version constraint.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Tue, 23 Apr 2024 21:09:09 -0400

glab (1.38.0-1) unstable; urgency=medium

  * d/watch: Update for the ever-changing GitLab UI.
  * New upstream version 1.38.0.
  * d/copyright: Update years.

 -- Unit 193 <unit193@debian.org>  Tue, 16 Apr 2024 02:43:47 -0400

glab (1.37.0-1) unstable; urgency=medium

  * New upstream version 1.37.0

 -- Nicolas Schier <nicolas@fjasle.eu>  Thu, 14 Mar 2024 13:17:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glab
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Unit 193 <unit193@debian.org>,
  Nicolas Schier <nicolas@fjasle.eu>
@@ -40,8 +39,7 @@
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-tidwall-pretty-dev,
-               golang-github-xanzy-go-gitlab-dev (>= 0.93.0),
-               golang-github-xanzy-go-gitlab-dev (<< 0.95),
+               golang-github-xanzy-go-gitlab-dev (>= 0.101.0),
                golang-github-zalando-go-keyring-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-term-dev,
@@ -50,7 +48,7 @@
                golang-k8s-apimachinery-dev,
                golang-k8s-client-go-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.com/gitlab-org/cli
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: gitlab.com/gitlab-org/cli

## glab 1.40.0

=== debian/changelog ===
glab (1.40.0-1) unstable; urgency=medium

  * New upstream version 1.40.0

 -- Nicolas Schier <nicolas@fjasle.eu>  Thu, 02 May 2024 11:43:58 +0200

## glab 1.41.0

=== debian/changelog ===
glab (1.41.0-1) unstable; urgency=medium

  * New upstream version 1.41.0.
  * d/control: B-D on golang-x-exp-dev, bump xanzy-go-gitlab.

 -- Unit 193 <unit193@debian.org>  Tue, 11 Jun 2024 23:19:32 -0400

=== debian/control ===
--- 
+++ 
@@ -39,8 +39,9 @@
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-tidwall-pretty-dev,
-               golang-github-xanzy-go-gitlab-dev (>= 0.101.0),
+               golang-github-xanzy-go-gitlab-dev (>= 0.105.0),
                golang-github-zalando-go-keyring-dev,
+               golang-golang-x-exp-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-term-dev,
                golang-golang-x-text-dev,

## glab 1.42.0

=== debian/changelog ===
glab (1.42.0-1) unstable; urgency=medium

  * New upstream version 1.42.0
  * d/control: B-D on golang-github-makenowjust-heredoc-v2-dev

 -- Nicolas Schier <nicolas@fjasle.eu>  Tue, 25 Jun 2024 16:19:10 +0200

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                golang-github-kballard-go-shellquote-dev,
                golang-github-lunixbochs-vtclean-dev,
                golang-github-makenowjust-heredoc-dev,
+               golang-github-makenowjust-heredoc-v2-dev,
                golang-github-mattn-go-colorable-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-mattn-go-runewidth-dev,

## glab 1.43.0

=== debian/changelog ===
glab (1.43.0-1) unstable; urgency=medium

  * New upstream version 1.43.0

 -- Nicolas Schier <nicolas@fjasle.eu>  Wed, 26 Jun 2024 21:08:02 +0200

## glab 1.45.0

=== debian/changelog ===
glab (1.45.0-1) unstable; urgency=medium

  * New upstream version 1.45.0
  * Remove obsolete Debian patches
  * Update Debian patch regarding groff errors for glab-api.1
  * Add b-d golang-golang-x-crypto-dev and golang-uber-goleak-dev

 -- Nicolas Schier <nicolas@fjasle.eu>  Tue, 06 Aug 2024 13:24:53 +0200

=== debian/control ===
--- 
+++ 
@@ -42,6 +42,7 @@
                golang-github-tidwall-pretty-dev,
                golang-github-xanzy-go-gitlab-dev (>= 0.105.0),
                golang-github-zalando-go-keyring-dev,
+               golang-golang-x-crypto-dev,
                golang-golang-x-exp-dev,
                golang-golang-x-sync-dev,
                golang-golang-x-term-dev,
@@ -49,6 +50,7 @@
                golang-gopkg-yaml.v3-dev,
                golang-k8s-apimachinery-dev,
                golang-k8s-client-go-dev,
+               golang-uber-goleak-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://gitlab.com/gitlab-org/cli

## glab 1.46.0

=== debian/changelog ===
glab (1.46.0-1deepin1) unstable; urgency=medium

  * 0005-chore-go-gitlab-bump-to-0.110.0.patch:
    - chore(go-gitlab): bump to 0.110.0

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 23 Apr 2025 18:19:35 +0800

glab (1.46.0-1) unstable; urgency=medium

  [ Nicolas Schier ]
  * Use RELRO and PIE hardening, thanks to Piper McCorkle
  * Package fish completion (Closes: #1078498)

  [ Unit 193 ]
  * New upstream version 1.46.0.
  * d/control: Bump xanzy-go-gitlab version constraint.

 -- Unit 193 <unit193@debian.org>  Tue, 10 Sep 2024 03:42:41 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -ldflags "-X main.version=v$(DEB_VERSION_UPSTREAM) -X main.build=$(SOURCE_DATE_EPOCH) -X main.usageMode=prod" -buildmode=pie
	mkdir -p _build/completions/ _build/manpages/
	_build/bin/gen-docs --manpage --path _build/manpages/
	GLAB_CONFIG_DIR=debian/tmphome _build/bin/glab completion -s bash > _build/completions/glab
	GLAB_CONFIG_DIR=debian/tmphome _build/bin/glab completion -s fish > _build/completions/glab.fish
	GLAB_CONFIG_DIR=debian/tmphome _build/bin/glab completion -s zsh > _build/completions/_glab

override_dh_auto_test:

override_dh_auto_install:
	rm -f _build/bin/gen-docs
	dh_auto_install -- --no-source

## glab 1.48.0

=== debian/changelog ===
glab (1.48.0-1) unstable; urgency=medium

  * New upstream version 1.48.0.
    - Fix compatibility with xanzy/go-gitlab. (Closes: #1085400)

 -- Unit 193 <unit193@debian.org>  Sat, 19 Oct 2024 17:01:50 -0400

glab (1.47.0-1) unstable; urgency=medium

  * New upstream version 1.47.0.

 -- Unit 193 <unit193@debian.org>  Sat, 05 Oct 2024 02:19:35 -0400

glab (1.46.1-1) unstable; urgency=medium

  [ Nicolas Schier ]
  * debian/rules: Remove -buildmode=pie

  [ Unit 193 ]
  * New upstream version 1.46.1.

 -- Unit 193 <unit193@debian.org>  Tue, 01 Oct 2024 01:34:46 -0400

## glab 1.49.0

=== Makefile ===
--- 
+++ 
@@ -77,11 +77,11 @@
 
 .PHONY: rt
 rt: ## Test release without publishing
-	goreleaser --snapshot --skip-publish --rm-dist
+	goreleaser release --snapshot --clean
 
 .PHONY: rtdebug
 rtdebug: ## Test release with debug info
-	goreleaser --snapshot --skip-publish --rm-dist --debug
+	goreleaser release --snapshot --clean --verbose
 
 .PHONY: release
 release:
@@ -147,7 +147,7 @@
 
 bin/golangci-lint-${GOLANGCI_VERSION}:
 	@mkdir -p bin
-	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | bash -s -- -b ./bin/ v${GOLANGCI_VERSION}
+	curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | bash -s -- -b ./bin v${GOLANGCI_VERSION}
 	@mv bin/golangci-lint $@
 
 .PHONY: coverage

=== debian/changelog ===
glab (1.49.0-1) unstable; urgency=medium

  * New upstream version 1.49.0.

 -- Unit 193 <unit193@debian.org>  Wed, 20 Nov 2024 01:31:23 -0500

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-tidwall-pretty-dev,
-               golang-github-xanzy-go-gitlab-dev (>= 0.105.0),
+               golang-github-xanzy-go-gitlab-dev (>= 0.108.0),
                golang-github-zalando-go-keyring-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-exp-dev,

## glab 1.53.0

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 .PHONY: build
 .DEFAULT_GOAL := build
 build:
-	go build -trimpath -ldflags "$(GO_LDFLAGS) -X main.debugMode=$(DEBUG)" -o $(BUILDLOC) $(GOURL)/cmd/glab
+	go build -trimpath -ldflags "$(GO_LDFLAGS) -X main.debugMode=$(DEBUG) -w -s" -o $(BUILDLOC) $(GOURL)/cmd/glab
 
 clean: ## Clear the working area and the project
 	rm -rf ./bin ./.glab-cli ./test/testdata-* ./coverage.txt coverage-*
@@ -69,7 +69,7 @@
 
 .PHONY: install
 install: ## Install glab in $GOPATH/bin
-	GO111MODULE=on go install -trimpath -ldflags "$(GO_LDFLAGS) -X main.debugMode=$(DEBUG)" $(GOURL)/cmd/glab
+	GO111MODULE=on go install -trimpath -ldflags "$(GO_LDFLAGS) -X main.debugMode=$(DEBUG) -w -s" $(GOURL)/cmd/glab
 
 .PHONY: run
 run:

=== debian/changelog ===
glab (1.53.0-1) unstable; urgency=medium

  * Add upstream patch to fix build issue in issuable_list.go
  * d/control: Add several new build-deps
  * d/control: Use correct b-d golang-gitlab-gitlab-org-api-client-go-
    dev
  * New upstream version 1.53.0 (Closes: #1093010)
  * Bump standards version to 4.7.2 (no changes required)
  * d/p/0001-Disable-update-check.patch: Update patch context
  * Remove upstream patch
  * d/copyright: Update copyright years
  * Fix two typos in error messages (patch)
  * d/control: Add Static-Built-Using field for static build
    dependencies

 -- Nicolas Schier <nicolas@fjasle.eu>  Wed, 02 Apr 2025 11:21:18 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                golang-github-avast-retry-go-dev,
                golang-github-briandowns-spinner-dev,
                golang-github-charmbracelet-glamour-dev,
+               golang-github-cyphar-filepath-securejoin-dev,
                golang-github-dustin-go-humanize-dev,
                golang-github-gdamore-tcell-dev,
                golang-github-google-renameio-dev,
@@ -40,19 +41,28 @@
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-tidwall-pretty-dev,
-               golang-github-xanzy-go-gitlab-dev (>= 0.108.0),
                golang-github-zalando-go-keyring-dev,
+               golang-gitlab-gitlab-org-api-client-go-dev,
+               golang-go.uber-mock-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-exp-dev,
+               golang-golang-x-net-dev,
+               golang-golang-x-oauth2-dev,
+               golang-golang-x-oauth2-google-dev,
                golang-golang-x-sync-dev,
+               golang-golang-x-sys-dev,
                golang-golang-x-term-dev,
                golang-golang-x-text-dev,
+               golang-golang-x-time-dev,
                golang-gopkg-yaml.v3-dev,
                golang-k8s-apimachinery-dev,
                golang-k8s-client-go-dev,
+               golang-k8s-sigs-json-dev,
+               golang-k8s-sigs-structured-merge-diff-dev,
+               golang-k8s-utils-dev,
                golang-uber-goleak-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/gitlab-org/cli
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: gitlab.com/gitlab-org/cli
@@ -63,7 +73,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: ${misc:Static-Built-Using}, ${misc:Built-Using}
+Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: commandline interface for gitlab instances
  GLab is an open source GitLab CLI tool bringing GitLab to your terminal next
  to where you are already working with git and your code without switching

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
 
 override_dh_auto_build:
-	dh_auto_build -- -ldflags "-X main.version=v$(DEB_VERSION_UPSTREAM) -X main.build=$(SOURCE_DATE_EPOCH) -X main.usageMode=prod" -buildmode=pie
+	dh_auto_build -- -ldflags "-X main.version=v$(DEB_VERSION_UPSTREAM) -X main.build=$(SOURCE_DATE_EPOCH) -X main.usageMode=prod"
 	mkdir -p _build/completions/ _build/manpages/
 	_build/bin/gen-docs --manpage --path _build/manpages/
 	GLAB_CONFIG_DIR=debian/tmphome _build/bin/glab completion -s bash > _build/completions/glab

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://gitlab.com/gitlab-org/cli/-/tags?sort=updated_desc archive/v?\d[\d.]+/cli-@ANY_VERSION@@ARCHIVE_EXT@

## glab 1.62.0

=== debian/changelog ===
glab (1.62.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.62.0 release
  * Update the quilt patch named harcoded-version-number.patch
  * Add the quilt patch named build-without-git.patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 16:57:06 +0200

glab (1.51.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.51.0 release
  * Add the quilt patch named harcoded-version-number

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 16:43:21 +0200

glab (1.49.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.49.0 release
  * Bump the golang-go version required to build
  * Add the quilt patch named harcoded-version-number

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 17:19:40 +0200

glab (1.45.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.45.0 release
  * Drop the quilt patch
  * Bump the Standards-Version
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 20:46:53 +0200

glab (1.40.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.40.0 release
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 07 May 2024 02:08:06 +0100

glab (1.36.0-2kaisen) kaisen-packages; urgency=medium

  * Add the glab.png file (logo)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Feb 2024 21:36:49 +0100

glab (1.36.0-1kaisen) kaisen-packages; urgency=medium

  * Initial release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 26 Dec 2023 10:01:06 +0100

=== debian/control ===
Source: glab
Section: utils
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13), golang-go (>= 1.23.2), dh-golang,
Standards-Version: 4.7.2
Homepage: https://gitlab.com/gitlab-org/cli
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/glab
Vcs-Git: https://gitlab.com/kaisenlinux/packages/glab.git

Package: glab
Architecture: amd64 arm64
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: A GitLab CLI tool bringing GitLab to your command line

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build $(CURDIR)/share

override_dh_auto_build:
	make build
	make manpage
	make gen-docs

override_dh_auto_test:

override_dh_dwz:

override_dh_auto_install:
	install -p -m 0644 $(CURDIR)/debian/glab.png $(CURDIR)/debian/glab/usr/share/pixmaps/
	install -p -m 0755 $(CURDIR)/bin/glab $(CURDIR)/debian/glab/usr/bin/
	$(CURDIR)/debian/glab/usr/bin/glab completion -s bash > $(CURDIR)/debian/glab/usr/share/bash-completion/completions/glab
	$(CURDIR)/debian/glab/usr/bin/glab completion -s zsh > $(CURDIR)/debian/glab/usr/share/zsh/vendor-completions/_glab
